%define __strip %{_mingw32_strip}
%define __objdump %{_mingw32_objdump}
%define _use_internal_dependency_generator 0
%define __find_requires %{_mingw32_findrequires}
%define __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-xmlsec1
Version:        1.2.12
Release:        1%{?dist}%{?extra_release}
Summary:        MinGW Windows xmlsec1 XML security library

License:        MIT
Group:          Development/Libraries
URL:            http://www.aleksey.com/xmlsec/
Source0:        ftp://ftp.aleksey.com/pub/xmlsec/releases/xmlsec1-%{version}.tar.gz
Patch:          xmlsec1-1.2.12-openssl10.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:	mingw32-filesystem >= 23
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-binutils
BuildRequires:	mingw32-libxml2 >= 2.6.0
BuildRequires:	mingw32-libxslt >= 1.1.0
BuildRequires:	mingw32-openssl

Requires: mingw32-libxml2 >= 2.6.0
Requires: mingw32-libxslt >= 1.1.0
Requires: mingw32-openssl >= 0.9.6


%description
XML Security Library is a C library based on LibXML2  and OpenSSL.
The library was created with a goal to support major XML security
standards "XML Digital Signature" and "XML Encryption".

This package provides mingw32 libraries.


%{?_mingw32_debug_package}

%prep
%setup -q -n xmlsec1-%{version}
%patch -p1 -b .ossl10


%build
%{_mingw32_configure} --without-nss

make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Remove static libraries but DON'T remove *.dll.a files.
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/libxmlsec1-openssl.a
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/libxmlsec1.a

# Remove man pages which duplicates those on the host 
rm -rf $RPM_BUILD_ROOT%{_mingw32_mandir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_mingw32_bindir}/libxmlsec1-openssl.dll
%{_mingw32_bindir}/libxmlsec1.dll
%{_mingw32_bindir}/xmlsec1-config
%{_mingw32_bindir}/xmlsec1.exe
%{_mingw32_includedir}/xmlsec1
%{_mingw32_libdir}/libxmlsec1-openssl.dll.a
%{_mingw32_libdir}/libxmlsec1-openssl.la
%{_mingw32_libdir}/libxmlsec1.dll.a
%{_mingw32_libdir}/libxmlsec1.la
%{_mingw32_libdir}/pkgconfig/xmlsec1-openssl.pc
%{_mingw32_libdir}/pkgconfig/xmlsec1.pc
%{_mingw32_libdir}/xmlsec1Conf.sh
%{_mingw32_datadir}/aclocal/xmlsec1.m4
%{_mingw32_docdir}/xmlsec1

%changelog
* Sun Mar 14 2010 Anders Waananen <waananen@nbi.dk> - 1.2.12 - 1
- Updated upstream
- Added patch xmlsec1-1.2.12-openssl10.patch
* Thu May  7 2009 Anders Waananen <waananen@nbi.dk> - 1.2.11 - 1
- Initial RPM release.
